Built LMS Help Center
API Reference and PlaygroundCourse BuilderGenerated Courses

POST Create course builder course

Create a new course via the course builder with associated assessments

POST
/course-builder/courses

Create a new course via the course builder with associated assessments

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/course-builder/courses" \  -H "Content-Type: application/json" \  -d '{    "title": "Example title",    "description": "Example description",    "assessment_ids": [      "{assessment_ids_item}"    ],    "metadata": {      "source": "Example source",      "template_id": "{template_id}",      "learning_objectives": [        "Example learning objectives item"      ],      "tags": [        "Example tags item"      ],      "estimated_duration_minutes": 1    }  }'
{  "data": {    "id": "{id}",    "organization_id": "{organization_id}",    "title": "string",    "description": "string",    "status": "string",    "metadata": {      "source": "string",      "template_id": "{template_id}",      "learning_objectives": [        "string"      ],      "tags": [        "string"      ],      "estimated_duration_minutes": 0,      "property1": "string",      "property2": "string"    },    "modules": [      {        "id": "{id}",        "course_id": "{course_id}",        "title": "string",        "sequence_order": 0,        "published": true,        "block_count": 0,        "prerequisite_module_ids": [          "{items}"        ],        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}